Retrieve job by ID
curl --request GET \
--url https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/jobs/{jobId} \
--header 'x-api-key: <api-key>'import requests
url = "https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/jobs/{jobId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/jobs/{jobId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"error": false,
"response": {}
}{
"message": "Unauthorized"
}{
"message": "Request URL or object not found"
}{
"message": "Internal Server Error"
}Jobs
Retrieve job by ID
Retrieve one job by its ID; set with_custom_fields to true to include the job’s custom field values under customfields_with_related_data.
Listen to this pageabout 1 min
GET
/
jobs
/
{jobId}
Retrieve job by ID
curl --request GET \
--url https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/jobs/{jobId} \
--header 'x-api-key: <api-key>'import requests
url = "https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/jobs/{jobId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/jobs/{jobId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"error": false,
"response": {}
}{
"message": "Unauthorized"
}{
"message": "Request URL or object not found"
}{
"message": "Internal Server Error"
}Pass the query parameter
with_custom_fields with the value true to include the job’s custom field values in the response under the customfields_with_related_data key. The reference documents the values true and false for this parameter. The per-status workflow timestamps shown in job reports are not documented on this endpoint or on any other endpoint in this reference.Authorizations
Path Parameters
Query Parameters
Optional. Possible values are true or false. If true, the response will contain custom fileds data in customfields_with_related_data key